Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.ehealth.businessconnector.consultrn.session
Interface ConsultrnService

All Known Implementing Classes:
  ConsultrnSessionServiceImpl

    public interface ConsultrnService

interface with the methods of the consultrn webservice.

Method Summary
`RegisterPersonResponse` | `registerPerson(RegisterPersonRequest request)`
`SearchBySSINReply` | `search(SearchBySSINRequest request)`
`SearchPhoneticReply` | `search(SearchPhoneticRequest request)`

Method Detail

### search

    SearchBySSINReply search(SearchBySSINRequest request)
                             throws ConsultrnIdentifyPersonException,
                                    TechnicalConnectorException

  Throws:
    `ConsultrnIdentifyPersonException`
    `TechnicalConnectorException`

### search

    SearchPhoneticReply search(SearchPhoneticRequest request)
                               throws ConsultrnPhoneticSearchException,
                                      TechnicalConnectorException

  Throws:
    `ConsultrnPhoneticSearchException`
    `TechnicalConnectorException`

### registerPerson

    RegisterPersonResponse registerPerson(RegisterPersonRequest request)
                                          throws ConsultrnRegisterPersonException,
                                                 TechnicalConnectorException,
                                                 ConsultrnRegisterExistingPersonException

  Throws:
    `ConsultrnRegisterPersonException`
    `TechnicalConnectorException`
    `ConsultrnRegisterExistingPersonException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.16.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.